/*
 *  TrainingSetNotifierThread.java
 *  Copyright (C) 2007 University of Calabria
 *  Dept. of Electronics, Computer Science and Systems
 */

package weka4ws.gui.kflow;

import weka.gui.beans.TrainingSetListener;

/**
 * @author  Marco Lackovic
 */
public class TrainingSetNotifierThread extends Thread {

    private TrainingSetListener listener;

    private TrainingSetEvent4WS event;

    public TrainingSetNotifierThread(TrainingSetListener l,
            TrainingSetEvent4WS e) {
        listener = l;
        event = e;
    }

    public void run() {
        listener.acceptTrainingSet(event);
    }

}
