@echo off
rem ######################################################
rem #                                                    #
rem # Weka4WS 2.1 start script                           #
rem # Copyright (C) 2005-2008 University of Calabria     #
rem # Dept. of Electronics, Computer Science and Systems #
rem #                                                    #
rem ######################################################

SETLOCAL ENABLEDELAYEDEXPANSION

if %GLOBUS_LOCATION%x==x goto error

for %%i in (%GLOBUS_LOCATION%\lib\*.jar) do set GLOBUS_LIB=!GLOBUS_LIB!;%%i

for %%i in (.\lib\*.jar) do set LIB=!LIB!;%%i

echo ===================================================

if not %1x==x goto noparam
	echo Starting Weka4WS...
	START javaw -DGLOBUS_LOCATION=%GLOBUS_LOCATION% -classpath %GLOBUS_LOCATION%%GLOBUS_LIB%%LIB%;.\bin\ weka4ws.gui.GUIChooser
	goto continue
:noparam
	echo Starting Weka4WS using %1MB of maximum heap size
	START javaw -Xmx%1m -DGLOBUS_LOCATION=%GLOBUS_LOCATION% -classpath %GLOBUS_LOCATION%%GLOBUS_LIB%%LIB%;.\bin\ weka4ws.gui.GUIChooser	
:continue

echo -
echo Weka4WS terminated.
goto end
:error
echo ERROR: environment variable GLOBUS_LOCATION not defined
goto end
:error2
echo ERROR: enable delayed environment variable expansion either by modifying the registry or spawning another instance of the command interpreter having delayed variable expansion on (cmd /v
:end
echo =================================================== 
set GLOBUS_LIB=
set MISC_LIB=
set WEKA_LIB=
EXIT