/*
 *  DataSetEvent4WS.java
 *  Copyright (C) 2007 University of Calabria
 *  Dept. of Electronics, Computer Science and Systems
 */

package weka4ws.gui.kflow;

import weka.core.Instances;
import weka.gui.beans.DataSetEvent;

/**
 * Event encapsulating the source path from which the data set has been generated.
 * 
 * @author Marco Lackovic
 * @version 1.0
 * @see DataSetEvent
 */
public class DataSetEvent4WS extends weka.gui.beans.DataSetEvent {

    private static final long serialVersionUID = 1L;

    private String m_dataSetFilePath;

    public DataSetEvent4WS(Object source, Instances dataSet, String filePath) {
        super(source, dataSet);
        m_dataSetFilePath = filePath;
    }

    public String getFilePath() {
        return m_dataSetFilePath;
    }

}
